package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;

/**
 * 电表-总表数据展示
 */
public class LoadDataDetailInfo
{
    /** 类别 */
    private String category;

    /** 总 (kWh) */
    private BigDecimal totalKwh = BigDecimal.ZERO;

    /** 尖 (kWh) */
    private BigDecimal peakKwh = BigDecimal.ZERO;

    /** 峰 (kWh) */
    private BigDecimal highKwh = BigDecimal.ZERO;

    /** 平 (kWh) */
    private BigDecimal flatKwh = BigDecimal.ZERO;

    /** 谷 (kWh) */
    private BigDecimal valleyKwh = BigDecimal.ZERO;


    public BigDecimal getValleyKwh() {
        return valleyKwh;
    }

    public void setValleyKwh(BigDecimal valleyKwh) {
        this.valleyKwh = valleyKwh;
    }

    public BigDecimal getFlatKwh() {
        return flatKwh;
    }

    public void setFlatKwh(BigDecimal flatKwh) {
        this.flatKwh = flatKwh;
    }

    public BigDecimal getPeakKwh() {
        return peakKwh;
    }

    public void setPeakKwh(BigDecimal peakKwh) {
        this.peakKwh = peakKwh;
    }

    public BigDecimal getHighKwh() {
        return highKwh;
    }

    public void setHighKwh(BigDecimal highKwh) {
        this.highKwh = highKwh;
    }

    public BigDecimal getTotalKwh() {
        return totalKwh;
    }

    public void setTotalKwh(BigDecimal totalKwh) {
        this.totalKwh = totalKwh;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }
}
